summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2021-08-05 21:37:50 +0200
committerFlorian Dold <florian@dold.me>2021-08-05 21:37:58 +0200
commit1027e2ed78befa42d06cc7fe5393fe07bf33c043 (patch)
tree518090a072ace74294212fceb232163bdf04ceb6 /debian
parent40b828ba232eaa7214ccb410e0d8899b1198f6be (diff)
downloadexchange-1027e2ed78befa42d06cc7fe5393fe07bf33c043.tar.gz
exchange-1027e2ed78befa42d06cc7fe5393fe07bf33c043.tar.bz2
exchange-1027e2ed78befa42d06cc7fe5393fe07bf33c043.zip
debian: bump version, fix permissions issue
Diffstat (limited to 'debian')
-rw-r--r--debian/changelog7
-rw-r--r--debian/taler-exchange.postinst4
2 files changed, 9 insertions, 2 deletions
diff --git a/debian/changelog b/debian/changelog
index db85dffa..36284392 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+taler-exchange (0.9.0-27) unstable; urgency=low
+
+ * Update to upstream code with minor bugfixes.
+ * Fix permissions of secret configuration files in /etc.
+
+ -- Florian Dold <dold@taler.net> Thu, 05 Aug 2021 21:36:54 +0200
+
taler-exchange (0.9.0-26) unstable; urgency=low
* Search config file location correctly.
diff --git a/debian/taler-exchange.postinst b/debian/taler-exchange.postinst
index b915129d..6e01ca2f 100644
--- a/debian/taler-exchange.postinst
+++ b/debian/taler-exchange.postinst
@@ -49,10 +49,10 @@ configure)
adduser --quiet ${_AGGRUSERNAME} ${_DBGROUPNAME}
fi
- if ! dpkg-statoverride --list /etc/taler/secrets/exchange-accounts.secret.conf >/dev/null 2>&1; then
+ if ! dpkg-statoverride --list /etc/taler/secrets/exchange-accountcredentials.secret.conf >/dev/null 2>&1; then
dpkg-statoverride --add --update \
${_WIREUSERNAME} root 460 \
- /etc/taler/secrets/exchange-accounts.secret.conf
+ /etc/taler/secrets/exchange-accountcredentials.secret.conf
fi
if ! dpkg-statoverride --list /etc/taler/secrets/exchange-db.secret.conf >/dev/null 2>&1; then